Subject: bug#30946: closed (Re: bug#30946: 26.0.90; TRAMP cannot access some files when using hops)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 03 Apr 2018 12:03:03 +0000

Your bug report

#30946: 26.0.90; TRAMP cannot access some files when using hops

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
30946: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=30946
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#30946: 26.0.90; TRAMP cannot access some files when using hops
From: Nicolas Petton <[email-masked]>
To: Michael Albinus <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Tue, 03 Apr 2018 14:02:05 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Michael Albinus <[email-masked]> writes:

Hi Michael,

> I have added an additional check in Tramp for host name matches in such
> cases. This checks also the single hop case "/sudo:example.com:", which
> shall fail when "example.com" is not your local host name.
>
> There's a new test case for this, tramp-test03-file-name-host-rules. I
> have the feeling that this test needs too much time; maybe I'll move it
> to the expensive tests.
>
> Could you pls check, whether Tramp behaves now as expected?

It works fine (and thank you for documenting it as well).

Cheers,
Nico

Subject: 26.0.90; TRAMP cannot access some files when using hops
From: Nicolas Petton <[email-masked]>
To: [email-masked]
Date: Mon, 26 Mar 2018 10:42:43 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

As discussed on the emacs-devel mailing list, when using tramp with
multiple hops like the following:

  C-x C-f /ssh:[email-masked]|sudo:localhost:/etc/deluser.conf

Tramp opens an empty buffer, without showing any error message.

I understand now that the second hop should be "sudo:example.com:", but
it felt intuitive to use localhost, and for most files on the remote
host it actually worked.